Skip to content

EscrowAnalysis⁠

Perform various operations for Symitar parameters.

Operations⁠

getEscrowAnalysisSelectFields⁠

POST

Execute the persistent ParameterService getEscrowAnalysisSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getEscrowAnalysisSelectFields
POST /nexum/627/persistent/parameter/getEscrowAnalysisSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllEscrowAnalysisFields": true,
    "EscrowAnalysisFields": {
      "AnalysisPastDueExceptions": true,
      "DeficiencyGe1EscrwPayMthd": true,
      "DeficiencyGeAmount": [
        0
      ],
      "DeficiencyGeNbrOfMonths": [
        0
      ],
      "DeficiencyLt1EscrwPayMthd": true,
      "DeficiencyLtAmount": [
        0
      ],
      "DeficiencyLtNbrOfMonths": [
        0
      ],
      "EscrowOverageMinDollarAmt": true,
      "EscrowOverageMinPercentage": true,
      "EscrowOverageProcessingMthd": true,
      "NewPaymentRounding": true,
      "PaymentChangeThreshold": true,
      "ShortageGe1EscrowPayMethd": true,
      "ShortageGeAmount": [
        0
      ],
      "ShortageGeNbrOfMonths": [
        0
      ],
      "ShortageLt1EscrowPayMethd": true,
      "ShortageLtAmount": [
        0
      ],
      "ShortageLtNbrOfMonths": [
        0
      ],
      "WarningCodeList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateEscrowAnalysisByID⁠

POST

Execute the persistent ParameterService updateEscrowAnalysisByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateEscrowAnalysisByID
POST /nexum/627/persistent/parameter/updateEscrowAnalysisByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "EscrowAnalysisFields": {
    "AnalysisPastDueExceptions": 0,
    "DeficiencyGe1EscrwPayMthd": 0,
    "DeficiencyGeAmount": [
      {
        "EntryId": 0,
        "DeficiencyGeAmount": 0
      }
    ],
    "DeficiencyGeNbrOfMonths": [
      {
        "EntryId": 0,
        "DeficiencyGeNbrOfMonths": 0
      }
    ],
    "DeficiencyLt1EscrwPayMthd": 0,
    "DeficiencyLtAmount": [
      {
        "EntryId": 0,
        "DeficiencyLtAmount": 0
      }
    ],
    "DeficiencyLtNbrOfMonths": [
      {
        "EntryId": 0,
        "DeficiencyLtNbrOfMonths": 0
      }
    ],
    "EscrowOverageMinDollarAmt": 0,
    "EscrowOverageMinPercentage": 0,
    "EscrowOverageProcessingMthd": 0,
    "NewPaymentRounding": 0,
    "PaymentChangeThreshold": 0,
    "ShortageGe1EscrowPayMethd": 0,
    "ShortageGeAmount": [
      {
        "EntryId": 0,
        "ShortageGeAmount": 0
      }
    ],
    "ShortageGeNbrOfMonths": [
      {
        "EntryId": 0,
        "ShortageGeNbrOfMonths": 0
      }
    ],
    "ShortageLt1EscrowPayMethd": 0,
    "ShortageLtAmount": [
      {
        "EntryId": 0,
        "ShortageLtAmount": 0
      }
    ],
    "ShortageLtNbrOfMonths": [
      {
        "EntryId": 0,
        "ShortageLtNbrOfMonths": 0
      }
    ],
    "WarningCodeList": {
      "Bit": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}